#! /bin/sh
#
# lte
#
# Start/Stop led process to read/write lte information,
# control lte behavior.
#
# Authors:
#		Yoking Wang <wangyong@baicells.com>

. /etc/sysconfig/script/util.sh

get_ucfg_value config syslog cmcc level 3      #default loglevel is ERR
CMCC_SYSLOG_LEVEL="$UCFG_VALUE"

get_ucfg_value config syslog lted level 3      #default loglevel is ERR
LTED_SYSLOG_LEVEL="$UCFG_VALUE"

get_ucfg_value config pesi cm_config best_cell_enable
BEST_CELL_ENABLE="$UCFG_VALUE"

case "$1" in
	start)
		if [[ "$BEST_CELL_ENABLE" == "0" ]]; then
			ucfg set plmn power_scan 0
		fi	
		#LTE Daemon
		/usr/lte/lted -g ${LTED_SYSLOG_LEVEL}
		#LTE AT Commond Parser
		/usr/lte/lteatcm -d
		/usr/lte/cm -g ${CMCC_SYSLOG_LEVEL} -d
#		/bin/cmcc_uicc &
#		lted_cli \rrc capw 1 12 15 13
		lted_cli \l1u t cdd 1 4
		lted_cli \rrc capw 11 3
	;;
	stop)
		killall lted
	;;
	*)
		echo "Usage: $0 {start|stop}" >&2
		exit 2
	;;
esac
